Subject: Re: biodiesel

From: William Bill Kovarik <[email-masked]>
Date: Fri, 12 May 1995 23:12:48 GMT

>
> I am looking for information on the Biodiesel industry in North Americal as we
ll
>  as in Europe.
> I am doing a study on the Biodiesel industry.  Specifically I'm looking for
>  infor on the marketing and
> distribution of Biodiesel.  (How is it distributed and marketed).  Any other
.....

Contact: Callen Fairchild, Editor
Biodiesel Information Center
2405 Grand Ave., Suite 700
Kansas City, Mo. 64108
Ph. 800 769 3437
Fax 816 474 7783

These guys really should get an e-mail address. Maybe even a web site.

Bill Kovarik

Re: biodiesel                                                                R